commit 8a026763c28ed67f8e195750caf1fe476794282b
Author: Arnold D. Robbins <arnold@skeeve.com>
Date:   Sat Sep 17 21:58:12 2022 +0300

    Small doc update for \B.

diff --git a/doc/ChangeLog b/doc/ChangeLog
index 0ccc653d..4862ae7d 100644
--- a/doc/ChangeLog
+++ b/doc/ChangeLog
@@ -2,6 +2,9 @@
 
 	* gawktexi.in (Extension Sample Read write array): Clarify how readall
 	works. Thanks to J Naman, <gawker@703n.com> for the prod.
+	(GNU Regexp Operators): Add some phraseology borrowed from GNU grep
+	man page to further explain \B. Thanks to Neil R. Ormos
+	<ormos-gnulists17@ormos.org> for the suggestion.
 
 2022-09-04         Arnold D. Robbins     <arnold@skeeve.com>
 
diff --git a/doc/gawktexi.in b/doc/gawktexi.in
index 97445ace..3faefbee 100644
--- a/doc/gawktexi.in
+++ b/doc/gawktexi.in
@@ -6377,6 +6377,8 @@ Matches the empty string that occurs between two
 word-constituent characters. For example,
 @code{/\Brat\B/} matches @samp{crate}, but it does not match @samp{dirty rat}.
 @samp{\B} is essentially the opposite of @samp{\y}.
+Another way to think of this is that @samp{\B} matches the empty string
+provided it's not at the edge of a word.
 @end table
 
 @cindex buffers @subentry operators for

